<template>
    <el-form 
        :model="form" 
        label-width="160px"
        style="position: relative"
        :disabled="disabled"
        size="small"
    >
        <el-card :body-style="{ height: '350px', overflow: 'auto'}">
            <el-form-item label="通知客户">
                <el-radio-group v-model="form.whetherInformCustomer">
                    <el-radio :label="1">是</el-radio>
                    <el-radio :label="2">否</el-radio>
                </el-radio-group>
            </el-form-item>
            <el-form-item label="恢复工作">
                <el-radio-group v-model="form.whetherResumeWork">
                    <el-radio :label="1">是</el-radio>
                    <el-radio :label="2">否</el-radio>
                </el-radio-group>
            </el-form-item>
            <el-form-item label="质量负责人">
                <el-select  v-model="form.qualitySupervisorId" placeholder="请选择">
                    <el-option
                        v-for="(item, index) in userList"
                        :key="index"
                        :label="item.name"
                        :value="item.id"
                    ></el-option>
                </el-select>
            </el-form-item>
        </el-card>
        <el-form-item label-width="0">
            <div style=" display: flex; width: 100%; justify-content: space-between; margin-top: 15px;">
                <div>
                    操作人：{{ currentResponsible }}
                </div>
                <div v-if="step == 4" >
                    <el-button @click="cancel">驳回</el-button>
                    <el-button type="primary" @click="onSubmit">提交</el-button>
                </div>
            </div>
        </el-form-item>
    </el-form>
</template>
<script>
export default {
    props: {
        currentResponsible: {
            type: String,
            default: ''
        },
        disabled: {
            type: Boolean,
            default: false
        },
        userList: {
            type: Array,
            default: []
        },
        step: {
            type: Number,
            default: 0
        },
        inform: {
            type: Object,
            default: () => {
                return {}
            }
        }
    },
    computed: {
        form: {
            get() {
                return this.inform
            },
            set(val) {
                this.$emit('update:inform', val)
            }
        }
    },
    data() {
        return {
           
        }
    },
    methods: {
        onSubmit() {
            this.$emit('nextStep', 'submit')
        },
        save() {
            this.$emit('nextStep', 'save')
        },
        cancel() {
            this.$emit('cancel', 'cancel')
        }
    }
}
</script>